Bug Hunting Session
Bug 93384 - rendercontext: comment spelling is drawn directly
Summary: rendercontext: comment spelling is drawn directly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-12 10:47 UTC by Miklos Vajna
Modified: 2016-10-25 19:24 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2015-08-12 10:47:30 UTC
If you start LO with:

VCL_DOUBLEBUFFERING_FORCE_ENABLE=1 SAL_USE_VCLPLUGIN=gtk ./soffice.bin

and you create a comment, then type "asdf " or any other words that are not in the dictionary, then the spellcheck's red wave will be painted directly, resulting in a failing assert.
Comment 1 Commit Notification 2015-08-12 13:17:22 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=71aed9185fb17ee27bdc38b4ac650713c4cabb8b

tdf#93384 editeng rendercontext: don't paint spellcheck result directly

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-08-13 10:04:59 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bc4904aba89bcbe267ca705ff76fc9d8629f73a3&h=libreoffice-5-0

tdf#93384 editeng rendercontext: don't paint spellcheck result directly

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.